# Users

## GET /api/v1/users/

>

```json
{"openapi":"3.0.3","info":{"title":"Syntho Backend API","version":"1.0.0 (v1)"},"servers":[{"url":"/"}],"security":[{"authentication":[]},{"OIDC":[]}],"components":{"securitySchemes":{"authentication":{"type":"apiKey","in":"cookie","name":"sessionid","description":"Log in using the <a href='/api/playground/#/Auth/auth_create'>POST /api/v1/auth/</a> endpoint"},"OIDC":{"type":"apiKey","in":"header","name":"Authorization"}},"schemas":{"BaseSynthoUser":{"type":"object","properties":{"pk":{"type":"integer","readOnly":true,"title":"ID"},"first_name":{"type":"string","maxLength":150},"last_name":{"type":"string","maxLength":150},"full_name":{"type":"string","description":"Return the first_name plus the last_name, with a space in between.","readOnly":true},"email":{"type":"string","format":"email","title":"Email address","maxLength":255}},"required":["email"]}}},"paths":{"/api/v1/users/":{"get":{"operationId":"users_list","tags":["Users"],"responses":{"200":{"content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/BaseSynthoUser"}}}},"description":""}}}}}}
```

## POST /api/v1/users/

>

```json
{"openapi":"3.0.3","info":{"title":"Syntho Backend API","version":"1.0.0 (v1)"},"servers":[{"url":"/"}],"security":[{"authentication":[]},{"OIDC":[]}],"components":{"securitySchemes":{"authentication":{"type":"apiKey","in":"cookie","name":"sessionid","description":"Log in using the <a href='/api/playground/#/Auth/auth_create'>POST /api/v1/auth/</a> endpoint"},"OIDC":{"type":"apiKey","in":"header","name":"Authorization"}},"schemas":{"CreateUpdateUser":{"type":"object","properties":{"first_name":{"type":"string","maxLength":150},"last_name":{"type":"string","maxLength":150},"email":{"type":"string","format":"email","title":"Email address","maxLength":255},"is_admin":{"type":"boolean"}},"required":["email"]},"SynthoUserWithPassword":{"type":"object","properties":{"pk":{"type":"integer","readOnly":true,"title":"ID"},"first_name":{"type":"string","maxLength":150},"last_name":{"type":"string","maxLength":150},"full_name":{"type":"string","description":"Return the first_name plus the last_name, with a space in between.","readOnly":true},"email":{"type":"string","format":"email","title":"Email address","maxLength":255},"is_admin":{"type":"boolean"},"new_password_required":{"type":"boolean"},"owned_workspaces":{"type":"integer","readOnly":true},"created":{"type":"string","format":"date-time","readOnly":true,"nullable":true},"password":{"type":"string","maxLength":128}},"required":["email","password"]}}},"paths":{"/api/v1/users/":{"post":{"operationId":"users_create","tags":["Users"],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/CreateUpdateUser"}}},"required":true},"responses":{"201":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/SynthoUserWithPassword"}}},"description":"Success: User created"}}}}}}
```

## GET /api/v1/users/{id}/

>

```json
{"openapi":"3.0.3","info":{"title":"Syntho Backend API","version":"1.0.0 (v1)"},"servers":[{"url":"/"}],"security":[{"authentication":[]},{"OIDC":[]}],"components":{"securitySchemes":{"authentication":{"type":"apiKey","in":"cookie","name":"sessionid","description":"Log in using the <a href='/api/playground/#/Auth/auth_create'>POST /api/v1/auth/</a> endpoint"},"OIDC":{"type":"apiKey","in":"header","name":"Authorization"}},"schemas":{"BaseSynthoUser":{"type":"object","properties":{"pk":{"type":"integer","readOnly":true,"title":"ID"},"first_name":{"type":"string","maxLength":150},"last_name":{"type":"string","maxLength":150},"full_name":{"type":"string","description":"Return the first_name plus the last_name, with a space in between.","readOnly":true},"email":{"type":"string","format":"email","title":"Email address","maxLength":255}},"required":["email"]}}},"paths":{"/api/v1/users/{id}/":{"get":{"operationId":"users_retrieve","parameters":[{"in":"path","name":"id","schema":{"type":"integer"},"required":true}],"tags":["Users"],"responses":{"200":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/BaseSynthoUser"}}},"description":""}}}}}}
```

## PUT /api/v1/users/{id}/

>

```json
{"openapi":"3.0.3","info":{"title":"Syntho Backend API","version":"1.0.0 (v1)"},"servers":[{"url":"/"}],"security":[{"authentication":[]},{"OIDC":[]}],"components":{"securitySchemes":{"authentication":{"type":"apiKey","in":"cookie","name":"sessionid","description":"Log in using the <a href='/api/playground/#/Auth/auth_create'>POST /api/v1/auth/</a> endpoint"},"OIDC":{"type":"apiKey","in":"header","name":"Authorization"}},"schemas":{"BaseSynthoUser":{"type":"object","properties":{"pk":{"type":"integer","readOnly":true,"title":"ID"},"first_name":{"type":"string","maxLength":150},"last_name":{"type":"string","maxLength":150},"full_name":{"type":"string","description":"Return the first_name plus the last_name, with a space in between.","readOnly":true},"email":{"type":"string","format":"email","title":"Email address","maxLength":255}},"required":["email"]}}},"paths":{"/api/v1/users/{id}/":{"put":{"operationId":"users_update","parameters":[{"in":"path","name":"id","schema":{"type":"integer"},"required":true}],"tags":["Users"],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/BaseSynthoUser"}}},"required":true},"responses":{"200":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/BaseSynthoUser"}}},"description":""}}}}}}
```

## DELETE /api/v1/users/{id}/

>

```json
{"openapi":"3.0.3","info":{"title":"Syntho Backend API","version":"1.0.0 (v1)"},"servers":[{"url":"/"}],"security":[{"authentication":[]},{"OIDC":[]}],"components":{"securitySchemes":{"authentication":{"type":"apiKey","in":"cookie","name":"sessionid","description":"Log in using the <a href='/api/playground/#/Auth/auth_create'>POST /api/v1/auth/</a> endpoint"},"OIDC":{"type":"apiKey","in":"header","name":"Authorization"}}},"paths":{"/api/v1/users/{id}/":{"delete":{"operationId":"users_destroy","parameters":[{"in":"path","name":"id","schema":{"type":"integer"},"required":true}],"tags":["Users"],"responses":{"204":{"description":"No response body"}}}}}}
```

## PATCH /api/v1/users/{id}/

>

```json
{"openapi":"3.0.3","info":{"title":"Syntho Backend API","version":"1.0.0 (v1)"},"servers":[{"url":"/"}],"security":[{"authentication":[]},{"OIDC":[]}],"components":{"securitySchemes":{"authentication":{"type":"apiKey","in":"cookie","name":"sessionid","description":"Log in using the <a href='/api/playground/#/Auth/auth_create'>POST /api/v1/auth/</a> endpoint"},"OIDC":{"type":"apiKey","in":"header","name":"Authorization"}},"schemas":{"PatchedBaseSynthoUser":{"type":"object","properties":{"pk":{"type":"integer","readOnly":true,"title":"ID"},"first_name":{"type":"string","maxLength":150},"last_name":{"type":"string","maxLength":150},"full_name":{"type":"string","description":"Return the first_name plus the last_name, with a space in between.","readOnly":true},"email":{"type":"string","format":"email","title":"Email address","maxLength":255}}},"BaseSynthoUser":{"type":"object","properties":{"pk":{"type":"integer","readOnly":true,"title":"ID"},"first_name":{"type":"string","maxLength":150},"last_name":{"type":"string","maxLength":150},"full_name":{"type":"string","description":"Return the first_name plus the last_name, with a space in between.","readOnly":true},"email":{"type":"string","format":"email","title":"Email address","maxLength":255}},"required":["email"]}}},"paths":{"/api/v1/users/{id}/":{"patch":{"operationId":"users_partial_update","parameters":[{"in":"path","name":"id","schema":{"type":"integer"},"required":true}],"tags":["Users"],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/PatchedBaseSynthoUser"}}}},"responses":{"200":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/BaseSynthoUser"}}},"description":""}}}}}}
```

## POST /api/v1/users/{id}/reset-password/

>

```json
{"openapi":"3.0.3","info":{"title":"Syntho Backend API","version":"1.0.0 (v1)"},"servers":[{"url":"/"}],"security":[{"authentication":[]},{"OIDC":[]}],"components":{"securitySchemes":{"authentication":{"type":"apiKey","in":"cookie","name":"sessionid","description":"Log in using the <a href='/api/playground/#/Auth/auth_create'>POST /api/v1/auth/</a> endpoint"},"OIDC":{"type":"apiKey","in":"header","name":"Authorization"}},"schemas":{"SynthoUserWithPassword":{"type":"object","properties":{"pk":{"type":"integer","readOnly":true,"title":"ID"},"first_name":{"type":"string","maxLength":150},"last_name":{"type":"string","maxLength":150},"full_name":{"type":"string","description":"Return the first_name plus the last_name, with a space in between.","readOnly":true},"email":{"type":"string","format":"email","title":"Email address","maxLength":255},"is_admin":{"type":"boolean"},"new_password_required":{"type":"boolean"},"owned_workspaces":{"type":"integer","readOnly":true},"created":{"type":"string","format":"date-time","readOnly":true,"nullable":true},"password":{"type":"string","maxLength":128}},"required":["email","password"]}}},"paths":{"/api/v1/users/{id}/reset-password/":{"post":{"operationId":"users_reset_password_create","parameters":[{"in":"path","name":"id","schema":{"type":"integer"},"required":true}],"tags":["Users"],"responses":{"200":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/SynthoUserWithPassword"}}},"description":"Success: Password reset"}}}}}}
```

## GET /api/v1/users/me/

>

```json
{"openapi":"3.0.3","info":{"title":"Syntho Backend API","version":"1.0.0 (v1)"},"servers":[{"url":"/"}],"security":[{"authentication":[]},{"OIDC":[]}],"components":{"securitySchemes":{"authentication":{"type":"apiKey","in":"cookie","name":"sessionid","description":"Log in using the <a href='/api/playground/#/Auth/auth_create'>POST /api/v1/auth/</a> endpoint"},"OIDC":{"type":"apiKey","in":"header","name":"Authorization"}},"schemas":{"SynthoUser":{"type":"object","properties":{"pk":{"type":"integer","readOnly":true,"title":"ID"},"created":{"type":"string","format":"date-time","readOnly":true,"nullable":true},"first_name":{"type":"string","readOnly":true},"last_name":{"type":"string","readOnly":true},"full_name":{"type":"string","description":"Return the first_name plus the last_name, with a space in between.","readOnly":true},"email":{"type":"string","format":"email","readOnly":true,"title":"Email address"},"is_admin":{"type":"boolean","readOnly":true},"new_password_required":{"type":"boolean","readOnly":true},"password":{"type":"string","writeOnly":true,"maxLength":128}},"required":["password"]}}},"paths":{"/api/v1/users/me/":{"get":{"operationId":"users_me_retrieve","tags":["Users"],"responses":{"200":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/SynthoUser"}}},"description":""}}}}}}
```

## PATCH /api/v1/users/me/

>

```json
{"openapi":"3.0.3","info":{"title":"Syntho Backend API","version":"1.0.0 (v1)"},"servers":[{"url":"/"}],"security":[{"authentication":[]},{"OIDC":[]}],"components":{"securitySchemes":{"authentication":{"type":"apiKey","in":"cookie","name":"sessionid","description":"Log in using the <a href='/api/playground/#/Auth/auth_create'>POST /api/v1/auth/</a> endpoint"},"OIDC":{"type":"apiKey","in":"header","name":"Authorization"}},"schemas":{"PatchedSynthoUser":{"type":"object","properties":{"pk":{"type":"integer","readOnly":true,"title":"ID"},"created":{"type":"string","format":"date-time","readOnly":true,"nullable":true},"first_name":{"type":"string","readOnly":true},"last_name":{"type":"string","readOnly":true},"full_name":{"type":"string","description":"Return the first_name plus the last_name, with a space in between.","readOnly":true},"email":{"type":"string","format":"email","readOnly":true,"title":"Email address"},"is_admin":{"type":"boolean","readOnly":true},"new_password_required":{"type":"boolean","readOnly":true},"password":{"type":"string","writeOnly":true,"maxLength":128}}},"SynthoUser":{"type":"object","properties":{"pk":{"type":"integer","readOnly":true,"title":"ID"},"created":{"type":"string","format":"date-time","readOnly":true,"nullable":true},"first_name":{"type":"string","readOnly":true},"last_name":{"type":"string","readOnly":true},"full_name":{"type":"string","description":"Return the first_name plus the last_name, with a space in between.","readOnly":true},"email":{"type":"string","format":"email","readOnly":true,"title":"Email address"},"is_admin":{"type":"boolean","readOnly":true},"new_password_required":{"type":"boolean","readOnly":true},"password":{"type":"string","writeOnly":true,"maxLength":128}},"required":["password"]}}},"paths":{"/api/v1/users/me/":{"patch":{"operationId":"users_me_partial_update","tags":["Users"],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/PatchedSynthoUser"}}}},"responses":{"200":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/SynthoUser"}}},"description":""}}}}}}
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.syntho.ai/syntho-api/syntho-rest-api/users.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
